## gr-rds 3.7.0.1.07cf86a

=== grc/CMakeLists.txt ===

file(GLOB xml_files "*.xml")

install(FILES ${xml_files} DESTINATION share/gnuradio/grc/blocks )
