=== debian/changelog ===
gr-rds (3.7.0.1.07cf86a-1) unstable; urgency=medium

  * Initial package (Closes: #782424)
  * New upstream
  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Jan 2016 17:55:39 -0500
