=== debian/control ===
Source: gr-rds
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
	       doxygen,
               gnuradio-dev (>=3.7.8),
	       libboost-system-dev,
	       liblog4cpp5-dev,
               pkg-config,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/bastibl/gr-rds
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/

Package: gr-rds
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-rds3.7.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU Radio FM RDS/TMC Transceiver
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
 
Package: libgnuradio-rds3.7.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-rds
Description: GNU Radio FM RDS/TMC Transceiver (library)
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 This package provides a shared library.
