=== debian/changelog ===
gr-rds (3.7.0.2.a542331-2) unstable; urgency=medium

  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 01:00:03 -0400

gr-rds (3.7.0.2.a542331-1) unstable; urgency=medium

  * New upstream git
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jul 2016 20:48:12 -0400
