=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
 	       doxygen,
-               gnuradio-dev (>=3.7.8),
+               gnuradio-dev (>=3.7.11),
 	       libboost-system-dev,
 	       liblog4cpp5-dev,
                pkg-config,
                swig
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/bastibl/gr-rds
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/
@@ -19,7 +19,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-rds3.7.0  (=${binary:Version}),
+         libgnuradio-rds3.7.11  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio FM RDS/TMC Transceiver
@@ -32,7 +32,7 @@
  .
  gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
  
-Package: libgnuradio-rds3.7.0
+Package: libgnuradio-rds3.7.11
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
