=== debian/changelog ===
gr-rds (3.8.0.0.f1c584a-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Apr 2020 19:43:45 -0400

gr-rds (3.8.0.0.f1c584a-3) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does (Closes: #948936)
    thanks peter!

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 21:10:42 -0500

gr-rds (3.8.0.0.f1c584a-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:12:00 -0400

gr-rds (3.8.0.0.f1c584a-1) experimental; urgency=medium

  * New upstream release
    - updated to use Qt Gui elements (Closes: #859061)
    - updated to work with gnuradio 3.8
  * Bump soname/soversion to 1 and upload to experimental

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Aug 2019 10:57:07 -0400
