=== debian/control ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Source: gr-rds
 Section: libdevel
-Priority: extra
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Priority: optional
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (=12),
+	       dh-python,
 	       doxygen,
-               gnuradio-dev (>=3.7.11),
+               gnuradio-dev (>=3.8),
+	       graphviz,
+	       libboost-regex-dev,
 	       libboost-system-dev,
+	       libgmp-dev,
 	       liblog4cpp5-dev,
+	       liborc-0.4-dev,
                pkg-config,
+	       python3-dev,
                swig
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/bastibl/gr-rds
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-rds
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-rds.git
 
 Package: gr-rds
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gnuradio-dev,
-         libgnuradio-rds3.7.11  (=${binary:Version}),
+Depends: ${python3:Depends}, gnuradio-dev,
+         libgnuradio-rds1  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio FM RDS/TMC Transceiver
@@ -32,7 +39,7 @@
  .
  gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
  
-Package: libgnuradio-rds3.7.11
+Package: libgnuradio-rds1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
