=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python3/dist-packages/rds/*pyc
	rm -f debian/tmp/usr/lib/python3/dist-packages/rds/*pyo
