## gr-rds 3.8.0.39.113b70b

=== debian/changelog ===
gr-rds (3.8.0.39.113b70b-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:44:25 +0000

gr-rds (3.8.0.39.113b70b-1) unstable; urgency=medium

  * New upstream maint-3.9 branch
  * Builds with gnuradio 3.9 (Closes: #1002100)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Dec 2021 23:53:32 -0500
